Loading...
Searching...
No Matches
BALL::GridBasedScoring::GridSetsResult Struct Reference

`#include <BALL/SCORING/COMMON/gridBasedScoring.h>`

## Public Member Functions

void | setup (Size no_gridSets)

## Public Attributes

std::vector< double > | gridSet_scores
std::vector< double > | no_neighbors
std::vector< Size > | no_out_of_grid

## Detailed Description

Definition at line 96 of file gridBasedScoring.h.

## Member Function Documentation

## setup()

void BALL::GridBasedScoring::GridSetsResult::setup | ( | Size | no_gridSets | ) |

## Member Data Documentation

## gridSet_scores

std::vector<double> BALL::GridBasedScoring::GridSetsResult::gridSet_scores

contains one energy value per GridSet

Definition at line 99 of file gridBasedScoring.h.

## no_neighbors

std::vector<double> BALL::GridBasedScoring::GridSetsResult::no_neighbors

for each GridSet, it contains the average number of neighbors to each atom of the current ligand

Definition at line 102 of file gridBasedScoring.h.

## no_out_of_grid

std::vector<Size> BALL::GridBasedScoring::GridSetsResult::no_out_of_grid

for each GridSet, it contains the number of atoms of the current ligand that lie outside of the GridSet

Definition at line 105 of file gridBasedScoring.h.